# API videos endpoint does not support user\_login anymore?

**URL:** <https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218>\
**Category:** API\
**Created:** [September 6, 2023, 3:59pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218 "2023-09-06T15:59:26Z")\
**Posts on this page:** 9\
**Page:** 1

<div class="post-metadata">

**Author:** ![Bruno](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/bruno/32/25890_2.png) [@Bruno](https://discuss.dev.twitch.com/u/Bruno)\
**Post date:** [September 6, 2023, 3:59pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/1 "2023-09-06T15:59:26Z")

</div>

Hi!

From yesterday to today, the following API call stopped working unexpectedly:

`curl -H GET 'https://api.twitch.tv/helix/videos?user_login=someuser&game_id=902050890' -H 'Authorization: Bearer token' -H 'Client-Id: client_id'`

Now it will return all videos, and it does not filter the videos by the `user_login`.

Is this change expected?

Thanks in advance

---

<div class="post-metadata">

**Author:** ![BarryCarlyon](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/barrycarlyon/32/253_2.png) [@BarryCarlyon](https://discuss.dev.twitch.com/u/BarryCarlyon)\
**Post date:** [September 6, 2023, 4:18pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/2 "2023-09-06T16:18:27Z")

</div>

it never did support a `user_login` parameter

> **[Reference](https://dev.twitch.tv/docs/api/reference/#get-videos)**
>
> Twitch Developer tools and services to integrate Twitch into your development or create interactive experience on twitch.tv.

Helix _for the most part_ (except streams/users) is user ID pretty uniformly so never supported a `user_login` parameter.

---

<div class="post-metadata">

**Author:** ![Bruno](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/bruno/32/25890_2.png) [@Bruno](https://discuss.dev.twitch.com/u/Bruno)\
**Post date:** [September 6, 2023, 4:21pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/3 "2023-09-06T16:21:03Z")

</div>

Oh my bad sorry, I thought it was working but I think I am mistaken! Is there a way to filter the videos by user login?

---

<div class="post-metadata">

**Author:** ![BarryCarlyon](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/barrycarlyon/32/253_2.png) [@BarryCarlyon](https://discuss.dev.twitch.com/u/BarryCarlyon)\
**Post date:** [September 6, 2023, 4:22pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/4 "2023-09-06T16:22:42Z")

</div>

Sure, get the username  
Then call get users to convert the username to an ID - [Reference | Twitch Developers](https://dev.twitch.tv/docs/api/reference/#get-users)  
Then use the user ID on the get videos endpoint

---

<div class="post-metadata">

**Author:** ![Bruno](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/bruno/32/25890_2.png) [@Bruno](https://discuss.dev.twitch.com/u/Bruno)\
**Post date:** [September 7, 2023, 3:21pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/5 "2023-09-07T15:21:27Z")

</div>

Thanks Barry! The videos endpoints however does not accept both game\_id and user\_id, and the response does not contain the game\_id. Is there a way to filter for both game\_id and user\_id at the same time?

---

<div class="post-metadata">

**Author:** ![BarryCarlyon](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/barrycarlyon/32/253_2.png) [@BarryCarlyon](https://discuss.dev.twitch.com/u/BarryCarlyon)\
**Post date:** [September 7, 2023, 3:49pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/6 "2023-09-07T15:49:38Z")

</div>

Nope

see also

[https://twitch.uservoice.com/forums/310213-developers/suggestions/42720509-highlight-vod-offset-origin-vod](https://twitch.uservoice.com/forums/310213-developers/suggestions/42720509-highlight-vod-offset-origin-vod)

> **[Return Tags and Game ID in Get Videos in Helix](https://twitch.uservoice.com/forums/310213-developers/suggestions/38155990-return-tags-and-game-id-in-get-videos-in-helix)**

---

<div class="post-metadata">

**Author:** ![Bruno](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/bruno/32/25890_2.png) [@Bruno](https://discuss.dev.twitch.com/u/Bruno)\
**Post date:** [September 7, 2023, 4:41pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/7 "2023-09-07T16:41:06Z")

</div>

I see, thanks. If I request by game\_id, it seems that the pagination is also not working correctly?

> The cursor used to get the next page of results. The **Pagination** object in the response contains the cursor’s value. [Read More](https://dev.twitch.tv/docs/api/guide#pagination) Specify this parameter only if you specify the _user\_id_ query parameter.

The docs also claim that 500 videos can be returned, but that doesn’t seem to be the case?

> A category or game ID. The response contains a maximum of 500 videos that show this content.

---

<div class="post-metadata">

**Author:** ![BarryCarlyon](https://d3ovvz0v2ajtpu.cloudfront.net/user_avatar/discuss.dev.twitch.com/barrycarlyon/32/253_2.png) [@BarryCarlyon](https://discuss.dev.twitch.com/u/BarryCarlyon)\
**Post date:** [September 7, 2023, 5:05pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/8 "2023-09-07T17:05:08Z")

</div>

The docs appear to be incorrect as you can paginate when using a `game_id`

So you can get up to 500 videos after loading all pages.

---

<div class="post-metadata">

**Author:** ![system](https://d2opxh93rbxzdn.cloudfront.net/original/2X/0/05909729875cce3b53e59d5561c4d23bb14948fc.png) [@system](https://discuss.dev.twitch.com/u/system)\
**Post date:** [October 7, 2023, 5:06pm UTC](https://discuss.dev.twitch.com/t/api-videos-endpoint-does-not-support-user-login-anymore/47218/9 "2023-10-07T17:06:02Z")

</div>

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.
